---
import { SITE } from '~/config.mjs';
import { getCanonical, getHomePermalink } from '~/utils/permalinks';
import Layout from '~/layouts/PageLayout.astro';

import Hero from '~/components/widgets/Hero.astro';
import Note from '~/components/widgets/Note.astro';
import Features from '~/components/widgets/Features.astro';
import Features2 from '~/components/widgets/Features2.astro';
import Features3 from '~/components/widgets/Features3.astro';
import HighlightedPosts from '~/components/blog/HighlightedPosts.astro';
import FAQs from '~/components/widgets/FAQs.astro';
import Stats from '~/components/widgets/Stats.astro';
import CallToAction from '~/components/widgets/CallToAction.astro';
import { Icon } from 'astro-icon';
import { Picture } from '@astrojs/image/components';

const meta = {
	title: 'Unity — Donate',
	description: SITE.description,
	canonical: getCanonical(getHomePermalink()),
};
---

<Layout {meta}>
	<section>
		<div class="max-w-6xl mx-auto px-4 sm:px-6">
			<div class="py-12 md:py-20">
				<div class="text-center pb-10 md:pb-16 max-w-5xl mx-auto">
					<h1 class="text-5xl md:text-[3.50rem] font-bold leading-tighter tracking-tighter mb-4 font-heading">
						Donate to Unity
					</h1>
					<div class="max-w-3xl mx-auto">
						<p class="text-xl text-gray-600 mb-8 dark:text-slate-400">
							Upgrade your desktop with a donation to Unity on Patreon or PayPal. Your support will bring new features and improvements. Plus, you'll be able to brag about being a part of the Unity community. Donate now and make your desktop as cool as you are!
						</p>
						<div class="max-w-4xl sm:max-w-4xl m-auto flex flex-nowrap flex-col sm:flex-row sm:justify-center gap-4">
							<div class="flex w-full sm:w-auto">
								<a
									class="btn btn-primary sm:mb-0 w-full"
									target="_blank"
									href="https://patreon.com/ubuntu_unity"
								>
									<Icon name="jam:patreon-square" class="w-5 h-5 mr-1 -ml-1.5" /> Patreon (monthly)
								</a>
							</div>
							<div class="flex w-full sm:w-auto">
								<a
									class="btn w-full"
									target="_blank"
									href="https://paypal.me/rudraswat"
								>
									<Icon name="jam:paypal-square" class="w-5 h-5 mr-1 -ml-1.5" /> PayPal (one-time)
								</a>
							</div>
							<div class="flex w-full sm:w-auto">
								<a
									class="btn w-full"
									href="#top_donors"
								>
									<Icon name="ph:currency-circle-dollar-duotone" class="w-5 h-5 mr-1 -ml-1.5" /> Donors
								</a>
							</div>
						</div>
					</div>
				</div>
				<div
					class="bg-primary-100 dark:bg-slate-800 dark:border-slate-800 dark:text-slate-400 border-b border-primary-100 text-2sm rounded-md px-3 py-2 max-w-4xl m-auto text-gray-800"
				>
					<span class="text-xs rounded-md py-0.5 px-1 bg-primary-200 dark:bg-slate-600 font-semibold">TOP DONOR</span>
					<span
						class="ml-0.5 text-gray-700 dark:text-slate-400 max-w-4xl"
						>Maik is our biggest patron so far; he's donated 250 USD so far, and would be donating 121 € every month.</span
					>
				</div>
				<br>
				<div>
					<div class="relative m-auto max-w-4xl">
						<Picture
							src={import('~/assets/images/donate-hero.png')}
							class="mx-auto rounded-md w-full"
							widths={[400, 768, 1480]}
							sizes="(max-width: 767px) 400px, (max-width: 1479px) 768px, 1480px"
							alt="Hero Image"
							aspectRatio={1480/833}
							loading="eager"
							width={1480}
							height={833}
						/>
					</div>
				</div>
			</div>
		</div>
		<div class="max-w-6xl mx-auto px-4 sm:px-6" id="top_donors">
			<div class="py-12 md:py-20">
				<div class="text-center pb-10 md:pb-16 max-w-5xl mx-auto">
					<h1 class="text-5xl md:text-[3.50rem] font-bold leading-tighter tracking-tighter mb-4 font-heading">
						Donors
					</h1>
					<div class="max-w-3xl mx-auto place-items-center grid text-left">
						<ul class="list-disc">
							<li><span class="text-xs rounded-md py-0.5 px-1 bg-primary-200 dark:bg-slate-600 font-semibold">TOP DONOR</span> <b>Maik Adamietz</b> - 121 €/month (since Dec 2022)</li>
							<li>Robert Whitten - $5/month (since Aug 2021)</li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</section>
	
</Layout>
